# Administration Reference

## backup listhosts

Purpose

Lists Tape Coordinator machines registered in the Backup Database

Synopsis

    backup listhosts [-localauth]  [-cell <cell name>]  [-help]

    backup listh [-l]  [-c <cell name>]  [-h]

Description

The backup listhosts command displays the Backup Database record of the port offset numbers defined for Tape Coordinator machines. A Tape Coordinator must have an entry in the list to be available for backup operations.

The existence of an entry does not necessarily indicate that the Tape Coordinator process (butc) is currently running at that port offset. To check, issue the backup status command.

Options

-localauth
  Constructs a server ticket using a key from the local /usr/afs/etc/KeyFile file. The backup command interpreter presents it to the Backup Server, Volume Server and VL Server during mutual authentication. Do not combine this flag with the -cell argument. For more details, see the introductory backup reference page.

-cell
  Names the cell in which to run the command. Do not combine this argument with the -localauth flag. For more details, see the introductory backup reference page.

-help
  Prints the online help for this command. All other valid options are ignored.

Output

After a `Tape` `hosts:` header, the output reports two things about each Tape Coordinator currently defined in the Backup Database:

- The hostname of the machine housing the Tape Coordinator. The format of this name depends on the hostname format used when the backup addhost command was issued.

- The Tape Coordinator's port offset number.

The Tape Coordinators appear in the order in which they were added to the Backup Database.

Examples

The following example shows the result of the command in the ABC Corporation cell:

       % backup listhosts
       Tape hosts:
           Host backup1.abc.com, port offset 0
           Host backup1.abc.com, port offset 1
           Host backup3.abc.com, port offset 4
           Host backup2.abc.com, port offset 3

Privilege Required

The issuer must be listed in the /usr/afs/etc/UserList file on every machine where the Backup Server is running, or must be logged onto a server machine as the local superuser root if the -localauth flag is included.

Related Information

backup

backup addhost

backup delhost

backup status

© IBM Corporation 2000. All Rights Reserved